Name:           scratchpad
Version:        0.3.0
Release:        3%{?dist}
Summary:        Spatial text editor for the GNOME desktop

Group:          Applications/Editors
License:        GPL
URL:            http://dborg.wordpress.com/scratchpad/
Source0:        http://braindump.chorse.org/stuff/scratchpad/%{name}-%{version}.tar.bz2	
#Starting the application from the gnome menu just gives a popup window that
# states that the software is intended to be used by opening an existing file
# in the file manager. 
#Patch adds Hidden=true to desktop file to hide it from the menu
Patch0:         scratchpad-0.3.0-desktophidden.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtksourceview-devel, gnome-vfs2-devel, GConf2-devel  
BuildRequires:  desktop-file-utils

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
Scratchpad is a spatial text editor for the GNOME desktop. It is based on 
gtksourceview, which provides most essential features for source code 
editing. On top of this Scratchpad offers a lightweight, intuitive and 
forward-thinking user interface as well as additional editing features to
make your life easier.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
update-desktop-database &> /dev/null ||: 

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/scratchpad
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*



%changelog
* Thu May 03 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.3.0-3
- Add patch for Hidden=true on .desktop-file
* Tue May 01 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.3.0-2
- Add NEWS file
- Fix broken url in Source
* Mon Mar 12 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.3.0-1
- Initial build
